version 11.0
log using 8.7.Framingham.log, replace
*  8.7.Framingham.log        
*
*  Simple Poisson regression analysis of the effect of gender on
*  coronary heart disease in the Framingham Heart Study.
*
use  2.20.Framingham.dta, clear
gen male = sex==1
gen per_yrs = followup/365.25
table male, contents(sum chdfate sum per_yrs)
glm chdfate male , family(poisson) link(log) lnoffset(per_yrs)
lincom male,irr
log close
