version 10.0
log using 11.AreaUnderCurve.log, replace
* 11.AreaUnderCurve.do
*
*  Calculate an area under the curve
*
use C:\wddtext\11.AreaUnderCurve.dta, replace
sort id time
*
* Delete records with missing values for time or response
*
drop if time == . | response == .
generate area=(response+response[_n+1])*(time[_n+1]-time)/2 if id==id[_n+1]
collapse (sum) area = area , by(id)
list
log close

