log using 5.11.1.EsophagealCa.ClassVersion.log, replace
*  5.11.1.EsophagealCa.ClassVersion.log
*
*  Estimate age-adjusted risk of esophageal cancer due to dose of alcohol.
*
use 5.5.EsophagealCa.dta, clear
*
*  Show frequency tables of effect of dose of alcohol on esophageal cancer.
*
tabulate cancer alcohol [freq=patients] , column
*
*  Analyze the Ille-et-Vilaine data using logistic regression model (5.24)
*
logit cancer i.age i.alcohol [freq=patients]
lincom 3.alcohol - 2.alcohol,or
lincom 4.alcohol - 3.alcohol,or
logistic cancer i.age i.alcohol [freq=patients]
log close
