version 9.0
log using 5.5.EsophagealCa.log, replace
*  5.5.EsophagealCa.log
*
*  Calculate the Mantel-Haenszel age-adjusted odds ratio from
*  the Ille-et-Vilaine study of esophageal cancer and alcohol
*  (Breslow & Day 1980, Tuyns 1977).
*
use 5.5.EsophagealCa.dta, clear
table  cancer heavy [freq=patients]
table  cancer heavy [freq=patients], by(age)
cc heavy cancer [freq=patients], by(age)
log close
